<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:05 CEST 2020 -->
<title>AnalysisViewImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AnalysisViewImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AnalysisViewImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html" target="_top">Frames</a></li>
<li><a href="AnalysisViewImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl</div>
<h2 title="Class AnalysisViewImpl" class="title">Class AnalysisViewImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl.AnalysisViewImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">AnalysisViewImpl</span>
extends org.eclipse.emf.ecore.impl.EObjectImpl
implements <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Analysis View</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#getBase_Package--"><code><em>Base Package</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#getRtanalysisview--"><code><em>Rtanalysisview</em></code></a></li>
   <li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#getDepanalysisview--"><code><em>Depanalysisview</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>ELAST_EOBJECT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#basicGetBase_Package--">basicGetBase_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#basicGetDepanalysisview--">basicGetDepanalysisview</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#basicSetRtanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-org.eclipse.emf.common.notify.NotificationChain-">basicSetRtanalysisview</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;newRtanalysisview,
                      org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseRemove</a></span>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
              int&nbsp;featureID,
              org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    java.lang.Object&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#getBase_Package--">getBase_Package</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#getDepanalysisview--">getDepanalysisview</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#getRtanalysisview--">getRtanalysisview</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#setBase_Package-org.eclipse.uml2.uml.Package-">setBase_Package</a></span>(org.eclipse.uml2.uml.Package&nbsp;newBase_Package)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#setDepanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DependabilityAnalysisView-">setDepanalysisview</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a>&nbsp;newDepanalysisview)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html#setRtanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-">setRtanalysisview</a></span>(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;newRtanalysisview)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Package</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Package&nbsp;getBase_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getBase_Package--">getBase_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Package</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#setBase_Package-org.eclipse.uml2.uml.Package-"><code>AnalysisView.setBase_Package(org.eclipse.uml2.uml.Package)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView_Base_Package--"><code>CHESSViewsPackage.getAnalysisView_Base_Package()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_Package--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_Package</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Package&nbsp;basicGetBase_Package()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_Package-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Package</h4>
<pre>public&nbsp;void&nbsp;setBase_Package(org.eclipse.uml2.uml.Package&nbsp;newBase_Package)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#setBase_Package-org.eclipse.uml2.uml.Package-">setBase_Package</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_Package</code> - the new value of the '<em>Base Package</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getBase_Package--"><code>AnalysisView.getBase_Package()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRtanalysisview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRtanalysisview</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;getRtanalysisview()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getRtanalysisview--">getRtanalysisview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Rtanalysisview</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#setRtanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-"><code>AnalysisView.setRtanalysisview(RTAnalysisView)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView_Rtanalysisview--"><code>CHESSViewsPackage.getAnalysisView_Rtanalysisview()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicSetRtanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-org.eclipse.emf.common.notify.NotificationChain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicSetRtanalysisview</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.NotificationChain&nbsp;basicSetRtanalysisview(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;newRtanalysisview,
                                                                              org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setRtanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRtanalysisview</h4>
<pre>public&nbsp;void&nbsp;setRtanalysisview(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/RTAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">RTAnalysisView</a>&nbsp;newRtanalysisview)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#setRtanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.RTAnalysisView-">setRtanalysisview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newRtanalysisview</code> - the new value of the '<em>Rtanalysisview</em>' containment reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getRtanalysisview--"><code>AnalysisView.getRtanalysisview()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDepanalysisview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepanalysisview</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a>&nbsp;getDepanalysisview()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getDepanalysisview--">getDepanalysisview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Depanalysisview</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#setDepanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DependabilityAnalysisView-"><code>AnalysisView.setDepanalysisview(DependabilityAnalysisView)</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/CHESSViewsPackage.html#getAnalysisView_Depanalysisview--"><code>CHESSViewsPackage.getAnalysisView_Depanalysisview()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetDepanalysisview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetDepanalysisview</h4>
<pre>public&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a>&nbsp;basicGetDepanalysisview()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setDepanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DependabilityAnalysisView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDepanalysisview</h4>
<pre>public&nbsp;void&nbsp;setDepanalysisview(<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/DependabilityAnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">DependabilityAnalysisView</a>&nbsp;newDepanalysisview)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#setDepanalysisview-org.polarsys.chess.chessmlprofile.Core.CHESSViews.DependabilityAnalysisView-">setDepanalysisview</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html" title="interface in org.polarsys.chess.chessmlprofile.Core.CHESSViews">AnalysisView</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newDepanalysisview</code> - the new value of the '<em>Depanalysisview</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/AnalysisView.html#getDepanalysisview--"><code>AnalysisView.getDepanalysisview()</code></a></dd>
</dl>
</li>
</ul>
<a name="eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eInverseRemove</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.NotificationChain&nbsp;eInverseRemove(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
                                                                      int&nbsp;featureID,
                                                                      org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eInverseRemove</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eGet(int&nbsp;featureID,
                             boolean&nbsp;resolve,
                             boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 java.lang.Object&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AnalysisViewImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/CHESSViewsFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Core.CHESSViews.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Core/CHESSViews/impl/AnalysisViewImpl.html" target="_top">Frames</a></li>
<li><a href="AnalysisViewImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
